Bug 1474676 - Non-admin user failed to publish a content view when a puppet module is added to it.
Non-admin user failed to publish a content view when a puppet module is added...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views (Show other bugs)
6.2.10
All Linux
medium Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
Ales Dujicek
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-25 03:12 EDT by Deepannagaraj Nagarathinam
Modified: 2018-02-21 12:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 12:09:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 3125421 None None None 2017-07-25 03:31 EDT

  None (edit)
Description Deepannagaraj Nagarathinam 2017-07-25 03:12:56 EDT
Description of problem:

- When publishing a newly created content view with a non-admin user and puppet modules added to it, if fails with the below error.

~~~~~~
Error: Validation failed: Puppet environment can't be blank
~~~~~~

Version-Release number of selected component (if applicable):

- Red Hat Satellite v 6.2.10

How reproducible:

- Always

Steps to Reproduce:

1. Create a user on the Satellite server with the permissions mentioned as per [1].
2. Create a new content view and add a puppet module to it.
3. Try to publish the newly created content view.

Actual results:

- Content view publishing failed with below error.

~~~~~~
Error: Validation failed: Puppet environment can't be blank
~~~~~~

Expected results:

- Content view publishing should complete without any issues.

Additional info:

[1] --> User Permissions.

~~~~~~
# hammer --csv -u admin -p satellite role filters --name oss-role
Id,Resource type,Search,Unlimited?,Role,Permissions
230,Katello::System,none,true,oss-role,destroy_content_hosts
231,Katello::ContentView,none,true,oss-role,"view_content_views, create_content_views, edit_content_views, destroy_content_views, publish_content_views, promote_or_remove_content_views"
232,Katello::KTEnvironment,none,true,oss-role,promote_or_remove_content_views_to_environments
233,Katello::Product,none,true,oss-role,sync_products
234,Host,none,true,oss-role,"create_hosts, edit_hosts, destroy_hosts, build_hosts"
235,(Miscellaneous),none,true,oss-role,download_bootdisk
236,Environment,none,true,oss-role,"view_environments, create_environments, edit_environments, destroy_environments, import_environments"
237,Organization,none,true,oss-role,view_organizations
~~~~~~
Comment 2 Brad Buckingham 2017-10-06 09:15:53 EDT
I was able to reproduce this issue on 6.2.12; however, it appears to be resolved with the current Satellite 6.3 internal build.

The internal 6.3 build used was:
satellite-6.3.0-19.0.beta.el7sat.noarch
tfm-rubygem-katello-3.4.5.1-1.el7sat.noarch
Comment 4 Brad Buckingham 2017-10-24 11:32:08 EDT
Moving to ON_QA based on comment 2.
Comment 6 Bryan Kearney 2018-02-21 11:43:58 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336
Comment 7 Bryan Kearney 2018-02-21 12:09:45 EST
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.